<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy8ckit__028__epd_8c" kind="file" language="C++">
    <compoundname>cy8ckit_028_epd.c</compoundname>
    <includes local="yes" refid="cy8ckit__028__epd_8h">cy8ckit_028_epd.h</includes>
      <sectiondef kind="var">
      <memberdef id="cy8ckit__028__epd_8c_1a1a5d64a9bb2482ebae0acb0c4e20ea46" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_i2c_t</type>
        <definition>cyhal_i2c_t i2c</definition>
        <argsstring />
        <name>i2c</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="31" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="31" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a4a9229a02be5c5635f3215e33d00fc32" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_spi_t</type>
        <definition>cyhal_spi_t spi</definition>
        <argsstring />
        <name>spi</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="32" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="32" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1aaea88f788e940c032511b4b9b499ac04" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_adc_t</type>
        <definition>cyhal_adc_t adc</definition>
        <argsstring />
        <name>adc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="33" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="33" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a7a83b1e4edbee160f1bb54bdae9d7d42" kind="variable" mutable="no" prot="public" static="yes">
        <type>mtb_bmi160_t</type>
        <definition>mtb_bmi160_t motion_sensor</definition>
        <argsstring />
        <name>motion_sensor</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="35" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="35" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a44a38ed008fe1306f8654240c5aa5c20" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_pdm_pcm_t</type>
        <definition>cyhal_pdm_pcm_t cy8ckit_028_epd_pdm_pcm</definition>
        <argsstring />
        <name>cy8ckit_028_epd_pdm_pcm</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="36" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="36" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a043dfc434fc90a100b81ddd54d650f46" kind="variable" mutable="no" prot="public" static="yes">
        <type>uint8_t</type>
        <definition>uint8_t previous_frame[PV_EINK_IMAGE_SIZE]</definition>
        <argsstring>[PV_EINK_IMAGE_SIZE]</argsstring>
        <name>previous_frame</name>
        <initializer>= {0}</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="38" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="38" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1aa25aa0234ba765f863fc396c387319ad" kind="variable" mutable="no" prot="public" static="yes">
        <type>uint8_t</type>
        <definition>uint8_t current_frame[PV_EINK_IMAGE_SIZE]</definition>
        <argsstring>[PV_EINK_IMAGE_SIZE]</argsstring>
        <name>current_frame</name>
        <initializer>= {0}</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="44" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="44" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a657fd0619624380273c6fe3f018d9b69" kind="variable" mutable="no" prot="public" static="yes">
        <type>mtb_thermistor_ntc_gpio_t</type>
        <definition>mtb_thermistor_ntc_gpio_t thermistor</definition>
        <argsstring />
        <name>thermistor</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="47" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="47" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1adacf6c2281be71b68283aa25bc2ba68a" kind="variable" mutable="no" prot="public" static="yes">
        <type>mtb_thermistor_ntc_gpio_cfg_t</type>
        <definition>mtb_thermistor_ntc_gpio_cfg_t thermistor_cfg</definition>
        <argsstring />
        <name>thermistor_cfg</name>
        <initializer>= {
    .r_ref = <ref kindref="member" refid="group__group__board__libs__shield_1ga86fdd305cd1e19244ce52d8b45369680">CY8CKIT_028_EPD_THERM_R_REF</ref>,
    .b_const = <ref kindref="member" refid="group__group__board__libs__shield_1ga2176c14c3a00ef789cb9f45b248763e0">CY8CKIT_028_EPD_THERM_B_CONST</ref>,
    .r_infinity = <ref kindref="member" refid="group__group__board__libs__shield_1ga7787517b68e0c737477d2f7755d49855">CY8CKIT_028_EPD_THERM_R_INFINITY</ref>,
}</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="48" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="48" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a9d88c1d94930b456b91d9a22a6493b89" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_i2c_t *</type>
        <definition>cyhal_i2c_t* i2c_ptr</definition>
        <argsstring />
        <name>i2c_ptr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="54" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="54" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a869b743c34340288c19a1cc30383b659" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_spi_t *</type>
        <definition>cyhal_spi_t* spi_ptr</definition>
        <argsstring />
        <name>spi_ptr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="55" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="55" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a2c0b9dfad8b8631d673325c1d4365161" kind="variable" mutable="no" prot="public" static="yes">
        <type>cyhal_adc_t *</type>
        <definition>cyhal_adc_t* adc_ptr</definition>
        <argsstring />
        <name>adc_ptr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="56" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="56" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a2d5db143ef3f50206f61f2a13cb693da" kind="variable" mutable="no" prot="public" static="yes">
        <type>bool</type>
        <definition>bool microphone_initialized</definition>
        <argsstring />
        <name>microphone_initialized</name>
        <initializer>= false</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="57" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="57" />
      </memberdef>
      <memberdef id="cy8ckit__028__epd_8c_1a96676f0d0ca6b8fce6b6f5e2d3fd7bac" kind="variable" mutable="no" prot="public" static="no">
        <type>const mtb_e2271cs021_pins_t</type>
        <definition>const mtb_e2271cs021_pins_t EINK_PINS</definition>
        <argsstring />
        <name>EINK_PINS</name>
        <initializer>=
{
    .spi_mosi = <ref kindref="member" refid="group__group__board__libs__pins_1ga911dae0f6089d6f86dfefae8fc336846">CY8CKIT_028_EPD_PIN_DISPLAY_SPI_MOSI</ref>,
    .spi_miso = <ref kindref="member" refid="group__group__board__libs__pins_1gaf146e083896cd3110b730f09e20635e8">CY8CKIT_028_EPD_PIN_DISPLAY_SPI_MISO</ref>,
    .spi_sclk = <ref kindref="member" refid="group__group__board__libs__pins_1ga9bcf9b27a4cd6a91da8fa8bbdfb608b7">CY8CKIT_028_EPD_PIN_DISPLAY_SPI_SCLK</ref>,
    .spi_cs = <ref kindref="member" refid="group__group__board__libs__pins_1gaa0d6d4bee42389e9d652096d3f5fcf92">CY8CKIT_028_EPD_PIN_DISPLAY_CS</ref>,
    .reset = <ref kindref="member" refid="group__group__board__libs__pins_1ga079106a513ecc6314397bed74a8026ac">CY8CKIT_028_EPD_PIN_DISPLAY_RST</ref>,
    .busy = <ref kindref="member" refid="group__group__board__libs__pins_1gae76062666ba5f9cf480147c87077367f">CY8CKIT_028_EPD_PIN_DISPLAY_BUSY</ref>,
    .discharge = <ref kindref="member" refid="group__group__board__libs__pins_1ga786b3f9ebde8391e510b78427aaaf08d">CY8CKIT_028_EPD_PIN_DISPLAY_DISCHARGE</ref>,
    .enable = <ref kindref="member" refid="group__group__board__libs__pins_1ga44f19c0216436ce4ec5d758339c3d750">CY8CKIT_028_EPD_PIN_DISPLAY_EN</ref>,
    .border = <ref kindref="member" refid="group__group__board__libs__pins_1ga1173cebc72c10d08ba60f1ddbf3fead5">CY8CKIT_028_EPD_PIN_DISPLAY_BORDER</ref>,
    .io_enable = <ref kindref="member" refid="group__group__board__libs__pins_1ga38053ff5e0898cf3632d0f002c7f0662">CY8CKIT_028_EPD_PIN_DISPLAY_IOEN</ref>,
}</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="59" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="59" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga0302881fb9347aa07ade1dd4d5b8c02d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_028_epd_init</definition>
        <argsstring>(cyhal_i2c_t *i2c_inst, cyhal_spi_t *spi_inst, cyhal_adc_t *adc_inst, cyhal_pdm_pcm_cfg_t *pdm_pcm_cfg, cyhal_clock_t *audio_clock_inst)</argsstring>
        <name>cy8ckit_028_epd_init</name>
        <param>
          <type>cyhal_i2c_t *</type>
          <declname>i2c_inst</declname>
        </param>
        <param>
          <type>cyhal_spi_t *</type>
          <declname>spi_inst</declname>
        </param>
        <param>
          <type>cyhal_adc_t *</type>
          <declname>adc_inst</declname>
        </param>
        <param>
          <type>cyhal_pdm_pcm_cfg_t *</type>
          <declname>pdm_pcm_cfg</declname>
        </param>
        <param>
          <type>cyhal_clock_t *</type>
          <declname>audio_clock_inst</declname>
        </param>
        <briefdescription>
<para>Initialize the shield board and all peripherals contained on it. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">i2c_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional I2C instance to use for communicating with the motion sensor on the shield. If NULL, a new instance will be allocated using the CYBSP_I2C_SCL &amp; CYBSP_I2C_SDA pins. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">spi_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional SPI instance to use for communicating with the display on the shield. If NULL, a new instance will be allocated using the CYBSP_D11 (mosi), CYBSP_D12 (miso), CYBSP_D13 (sclk) &amp; CYBSP_D14 (cs) pins. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adc_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional ADC instance used for reading the thermistor. If NULL, a new instance will be allocated. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pdm_pcm_cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>The configuration for the PDM object used with the microphone. If NULL, the PDM object will not be initialized. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">audio_clock_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>The audio clock used with the microphone. If NULL, the PDM object will not be initialized. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="153" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="73" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="73" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1gae7124001298674f12cf4a6e3332d9414" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>mtb_thermistor_ntc_gpio_t *</type>
        <definition>mtb_thermistor_ntc_gpio_t* cy8ckit_028_epd_get_thermistor</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_thermistor</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the thermistor object. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the thermistor object on this shield. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="158" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="155" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="155" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1gaa9be2f5bdc49d6867c4ad435681aa48a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>mtb_thermistor_ntc_gpio_cfg_t *</type>
        <definition>mtb_thermistor_ntc_gpio_cfg_t* cy8ckit_028_epd_get_thermistor_cfg</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_thermistor_cfg</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the thermistor config object. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the thermistor configuration. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="163" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="160" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="160" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1gaac9b29d116cdcdef7536bcba061e546f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>mtb_bmi160_t *</type>
        <definition>mtb_bmi160_t* cy8ckit_028_epd_get_motion_sensor</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_motion_sensor</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the motion sensor object. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the motion sensor object on this shield. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="168" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="165" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga909126e8782a11b87d70508dd558c741" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t *</type>
        <definition>uint8_t* cy8ckit_028_epd_get_previous_frame</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_previous_frame</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to a buffer that is allocated by the shield library and contains the previous eink frame. </para>        </briefdescription>
        <detaileddescription>
<para>The size of this buffer is defined by the display driver's PV_EINK_IMAGE_SIZE variable. <simplesect kind="return"><para>A reference to the previous display frame. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="173" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="170" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="170" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga3852735d93a15c3ab4daa87f20a9ac8d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t *</type>
        <definition>uint8_t* cy8ckit_028_epd_get_current_frame</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_current_frame</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to a buffer that is allocated by the shield library and contains the current eink frame. </para>        </briefdescription>
        <detaileddescription>
<para>Note: If EMWIN is enabled the allocated memory is instead allocated and owned by the EMWIN library. Either way this function will return a valid pointer to that memory. The size of this buffer is defined by the display driver's PV_EINK_IMAGE_SIZE variable. <simplesect kind="return"><para>A reference to the current display frame. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="178" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="175" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="175" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga53feb0188da8be2593c02b677450fd42" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cyhal_pdm_pcm_t *</type>
        <definition>cyhal_pdm_pcm_t* cy8ckit_028_epd_get_pdm</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_pdm</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the PDM object used with the microphone. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the PDM microphone object on this shield. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="183" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="180" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="180" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga045b4e97ca404ff21654051209b92177" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy8ckit_028_epd_free</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_free</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Frees up any resources allocated as part of <ref kindref="member" refid="group__group__board__libs__shield_1ga0302881fb9347aa07ade1dd4d5b8c02d">cy8ckit_028_epd_init()</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="207" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="185" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" line="185" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Implementation file of the shield support library. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />"cy8ckit_028_epd.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />EMWIN_ENABLED</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"GUI.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"LCDConf.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_i2c_t<sp />i2c;</highlight></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_spi_t<sp />spi;</highlight></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_adc_t<sp />adc;</highlight></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />mtb_bmi160_t<sp />motion_sensor;</highlight></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_pdm_pcm_t<sp />cy8ckit_028_epd_pdm_pcm;</highlight></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint8_t<sp />previous_frame[PV_EINK_IMAGE_SIZE]<sp />=<sp />{0};</highlight></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="comment">/*<sp />If<sp />emwin<sp />is<sp />used<sp />then<sp />this<sp />will<sp />just<sp />point<sp />to<sp />the<sp />emwin<sp />managed<sp />frame</highlight></codeline>
<codeline lineno="40"><highlight class="comment"><sp />*<sp />buffer,<sp />otherwise<sp />the<sp />current<sp />frame<sp />should<sp />be<sp />allocated<sp />here.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />EMWIN_ENABLED</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint8_t<sp />*current_frame<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint8_t<sp />current_frame[PV_EINK_IMAGE_SIZE]<sp />=<sp />{0};</highlight></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />mtb_thermistor_ntc_gpio_t<sp />thermistor;</highlight></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />mtb_thermistor_ntc_gpio_cfg_t<sp />thermistor_cfg<sp />=<sp />{</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp />.r_ref<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga86fdd305cd1e19244ce52d8b45369680">CY8CKIT_028_EPD_THERM_R_REF</ref>,</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp />.b_const<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga2176c14c3a00ef789cb9f45b248763e0">CY8CKIT_028_EPD_THERM_B_CONST</ref>,</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />.r_infinity<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga7787517b68e0c737477d2f7755d49855">CY8CKIT_028_EPD_THERM_R_INFINITY</ref>,</highlight></codeline>
<codeline lineno="52"><highlight class="normal">};</highlight></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_i2c_t<sp />*i2c_ptr;</highlight></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_spi_t<sp />*spi_ptr;</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />cyhal_adc_t<sp />*adc_ptr;</highlight></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />microphone_initialized<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="keyword">const</highlight><highlight class="normal"><sp />mtb_e2271cs021_pins_t<sp />EINK_PINS<sp />=</highlight></codeline>
<codeline lineno="60"><highlight class="normal">{</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />.spi_mosi<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga911dae0f6089d6f86dfefae8fc336846">CY8CKIT_028_EPD_PIN_DISPLAY_SPI_MOSI</ref>,</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp />.spi_miso<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gaf146e083896cd3110b730f09e20635e8">CY8CKIT_028_EPD_PIN_DISPLAY_SPI_MISO</ref>,</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp />.spi_sclk<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga9bcf9b27a4cd6a91da8fa8bbdfb608b7">CY8CKIT_028_EPD_PIN_DISPLAY_SPI_SCLK</ref>,</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp />.spi_cs<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gaa0d6d4bee42389e9d652096d3f5fcf92">CY8CKIT_028_EPD_PIN_DISPLAY_CS</ref>,</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp />.reset<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga079106a513ecc6314397bed74a8026ac">CY8CKIT_028_EPD_PIN_DISPLAY_RST</ref>,</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp />.busy<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gae76062666ba5f9cf480147c87077367f">CY8CKIT_028_EPD_PIN_DISPLAY_BUSY</ref>,</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp />.discharge<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga786b3f9ebde8391e510b78427aaaf08d">CY8CKIT_028_EPD_PIN_DISPLAY_DISCHARGE</ref>,</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp />.enable<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga44f19c0216436ce4ec5d758339c3d750">CY8CKIT_028_EPD_PIN_DISPLAY_EN</ref>,</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp />.border<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga1173cebc72c10d08ba60f1ddbf3fead5">CY8CKIT_028_EPD_PIN_DISPLAY_BORDER</ref>,</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp />.io_enable<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga38053ff5e0898cf3632d0f002c7f0662">CY8CKIT_028_EPD_PIN_DISPLAY_IOEN</ref>,</highlight></codeline>
<codeline lineno="71"><highlight class="normal">};</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga0302881fb9347aa07ade1dd4d5b8c02d">cy8ckit_028_epd_init</ref>(cyhal_i2c_t<sp />*i2c_inst,<sp />cyhal_spi_t<sp />*spi_inst,<sp />cyhal_adc_t<sp />*adc_inst,</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_pdm_pcm_cfg_t<sp />*pdm_pcm_cfg,</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_clock_t<sp />*audio_clock_inst)</highlight></codeline>
<codeline lineno="76"><highlight class="normal">{</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />result<sp />=<sp />CY_RSLT_SUCCESS;</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(NULL<sp />==<sp />i2c_inst)</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />cyhal_i2c_cfg_t<sp />I2C_CFG<sp />=<sp />{</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.is_slave<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.address<sp />=<sp />0,</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.frequencyhal_hz<sp />=<sp />400000</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />cyhal_i2c_init(&amp;i2c,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gab72c65d170f267a4a5cd9a64bfafff37">CY8CKIT_028_EPD_PIN_IMU_I2C_SDA</ref>,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga188d581670417a18fb424d69b5516659">CY8CKIT_028_EPD_PIN_IMU_I2C_SCL</ref>,<sp />NULL);</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />result)</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />i2c_ptr<sp />=<sp />&amp;i2c;</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />cyhal_i2c_configure(&amp;i2c,<sp />&amp;I2C_CFG);</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />i2c_ptr<sp />=<sp />i2c_inst;</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(NULL<sp />==<sp />spi_inst)</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />cyhal_spi_init(&amp;spi,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga911dae0f6089d6f86dfefae8fc336846">CY8CKIT_028_EPD_PIN_DISPLAY_SPI_MOSI</ref>,</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__pins_1gaf146e083896cd3110b730f09e20635e8">CY8CKIT_028_EPD_PIN_DISPLAY_SPI_MISO</ref>,</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga9bcf9b27a4cd6a91da8fa8bbdfb608b7">CY8CKIT_028_EPD_PIN_DISPLAY_SPI_SCLK</ref>,<sp />NC,<sp />NULL,<sp />8,</highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CYHAL_SPI_MODE_00_MSB,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />result)</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />cyhal_spi_set_frequency(&amp;spi,<sp />20000000);</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />spi_ptr<sp />=<sp />&amp;spi;</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />spi_ptr<sp />=<sp />spi_inst;</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(NULL<sp />==<sp />adc_inst)</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />cyhal_adc_init(&amp;adc,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga7c2923323a7a8a3ff32f04f22efc4a94">CY8CKIT_028_EPD_PIN_THERM_OUT1</ref>,<sp />NULL);</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />result)</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />adc_ptr<sp />=<sp />&amp;adc;</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />adc_ptr<sp />=<sp />adc_inst;</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />result)</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />mtb_bmi160_init_i2c(&amp;motion_sensor,<sp />i2c_ptr,<sp />MTB_BMI160_DEFAULT_ADRESS);</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />result)</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />mtb_thermistor_ntc_gpio_init(&amp;thermistor,<sp />adc_ptr,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga9f1d644d37b0bc504febecb2d7e9a8b1">CY8CKIT_028_EPD_PIN_THERM_GND</ref>,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gab321d8774b8dd1c2ce2c882661dda784">CY8CKIT_028_EPD_PIN_THERM_VDD</ref>,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga7c2923323a7a8a3ff32f04f22efc4a94">CY8CKIT_028_EPD_PIN_THERM_OUT1</ref>,<sp />&amp;thermistor_cfg);</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />result)</highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />EMWIN_ENABLED</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />current_frame<sp />=<sp />(uint8_t*)LCD_GetDisplayBuffer();</highlight></codeline>
<codeline lineno="137"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />mtb_e2271cs021_init(&amp;EINK_PINS,<sp />spi_ptr);</highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />the<sp />PDM/PCM<sp />block<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((CY_RSLT_SUCCESS<sp />==<sp />result)<sp />&amp;&amp;<sp />(NULL<sp />!=<sp />audio_clock_inst)<sp />&amp;&amp;<sp />(NULL<sp />!=<sp />pdm_pcm_cfg))</highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />microphone_initialized<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp />cyhal_pdm_pcm_init(&amp;cy8ckit_028_epd_pdm_pcm,<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga5669fcd013bc4fad3ac5a029612f135a">CY8CKIT_028_EPD_PIN_PDM_DATA</ref>,</highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga1302935d0cebb6645ab80dad697b8db2">CY8CKIT_028_EPD_PIN_PDM_CLK</ref>,<sp />audio_clock_inst,<sp />pdm_pcm_cfg);</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />!=<sp />result)</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga045b4e97ca404ff21654051209b92177">cy8ckit_028_epd_free</ref>();</highlight></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />result;</highlight></codeline>
<codeline lineno="153"><highlight class="normal">}</highlight></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal">mtb_thermistor_ntc_gpio_t<sp />*<ref kindref="member" refid="group__group__board__libs__shield_1gae7124001298674f12cf4a6e3332d9414">cy8ckit_028_epd_get_thermistor</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="156"><highlight class="normal">{</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />&amp;thermistor;</highlight></codeline>
<codeline lineno="158"><highlight class="normal">}</highlight></codeline>
<codeline lineno="159"><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal">mtb_thermistor_ntc_gpio_cfg_t<sp />*<ref kindref="member" refid="group__group__board__libs__shield_1gaa9be2f5bdc49d6867c4ad435681aa48a">cy8ckit_028_epd_get_thermistor_cfg</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="161"><highlight class="normal">{</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />&amp;thermistor_cfg;</highlight></codeline>
<codeline lineno="163"><highlight class="normal">}</highlight></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal">mtb_bmi160_t*<sp /><ref kindref="member" refid="group__group__board__libs__shield_1gaac9b29d116cdcdef7536bcba061e546f">cy8ckit_028_epd_get_motion_sensor</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="166"><highlight class="normal">{</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />&amp;motion_sensor;</highlight></codeline>
<codeline lineno="168"><highlight class="normal">}</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal">uint8_t<sp />*<ref kindref="member" refid="group__group__board__libs__shield_1ga909126e8782a11b87d70508dd558c741">cy8ckit_028_epd_get_previous_frame</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="171"><highlight class="normal">{</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />previous_frame;</highlight></codeline>
<codeline lineno="173"><highlight class="normal">}</highlight></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal">uint8_t<sp />*<ref kindref="member" refid="group__group__board__libs__shield_1ga3852735d93a15c3ab4daa87f20a9ac8d">cy8ckit_028_epd_get_current_frame</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="176"><highlight class="normal">{</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />current_frame;</highlight></codeline>
<codeline lineno="178"><highlight class="normal">}</highlight></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal">cyhal_pdm_pcm_t<sp />*<sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga53feb0188da8be2593c02b677450fd42">cy8ckit_028_epd_get_pdm</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="181"><highlight class="normal">{</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />&amp;cy8ckit_028_epd_pdm_pcm;</highlight></codeline>
<codeline lineno="183"><highlight class="normal">}</highlight></codeline>
<codeline lineno="184"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga045b4e97ca404ff21654051209b92177">cy8ckit_028_epd_free</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="186"><highlight class="normal">{</highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_e2271cs021_free();</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_bmi160_free(&amp;motion_sensor);</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(i2c_ptr<sp />==<sp />&amp;i2c)</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_i2c_free(i2c_ptr);</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp />i2c_ptr<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="193"><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_thermistor_ntc_gpio_free(&amp;thermistor);</highlight></codeline>
<codeline lineno="195"><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(microphone_initialized)</highlight></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />microphone_initialized<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_pdm_pcm_free(&amp;cy8ckit_028_epd_pdm_pcm);</highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />This<sp />must<sp />be<sp />done<sp />last,<sp />in<sp />case<sp />other<sp />code<sp />prior<sp />to<sp />this<sp />frees</highlight></codeline>
<codeline lineno="203"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />an<sp />ADC<sp />channel<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(adc_ptr<sp />==<sp />&amp;adc)</highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_adc_free(adc_ptr);</highlight></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp />adc_ptr<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="207"><highlight class="normal">}</highlight></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" />
  </compounddef>
</doxygen>